Package net.shibboleth.idp.plugin.authn.webauthn.storage.impl

# Class StorageServiceCredentialRepositoryFactory.Base64URLKeyExtractionStrategy

java.lang.Object
net.shibboleth.idp.plugin.authn.webauthn.storage.impl.StorageServiceCredentialRepositoryFactory.Base64URLKeyExtractionStrategy

All Implemented Interfaces:
  `Function<com.yubico.webauthn.data.ByteArray,String>`

Enclosing class:
  StorageServiceCredentialRepositoryFactory

static class StorageServiceCredentialRepositoryFactory.Base64URLKeyExtractionStrategy extends Object implements Function<com.yubico.webauthn.data.ByteArray,String>
An extraction strategy that converts the `ByteArray` into a base64Url encoded string.

## Constructor Summary

Constructors
Constructor
Description
`Base64URLKeyExtractionStrategy()`

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(com.yubico.webauthn.data.ByteArray byteArray)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### Base64URLKeyExtractionStrategy

Base64URLKeyExtractionStrategy()

## Method Details

### apply

public String apply(com.yubico.webauthn.data.ByteArray byteArray)

Specified by:
  `apply` in interface `Function<com.yubico.webauthn.data.ByteArray,String>`